UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
com.latencybusters.lbm.sdm.LBMSDMFieldIterator Class Reference

An iterator for field sets. This allows applications to iterate over every field in an SDM message/field set. More...

Inheritance diagram for com.latencybusters.lbm.sdm.LBMSDMFieldIterator:

## Public Member Functions
| LBMSDMFieldIterator (LBMSDMFields f)
| Create an iterator for a set of SDM fields. More...
virtual LBMSDMField | get ()
| Get the SDM field at the current position. More...
virtual void | add_element (LBMSDMField newfield)
| Add the SDM array element. More...
virtual void | set (LBMSDMField newfield)
| Set the SDM array element. More...
virtual void | set (LBMSDMField newfield, int element)
| Set the SDM array element. More...
virtual bool | MoveNext ()
| Check to see if there is another item in the collection. More...
virtual void | remove ()
| Remove the current item from the collection.
virtual void | reset ()
| Reset the iterator back to the beginning.
virtual void | Reset ()
| Reset the iterator back to the beginning.

## Properties
virtual System.Object | Current`[get]`
| The SDM Field at the current position. More...

## Detailed Description

An iterator for field sets. This allows applications to iterate over every field in an SDM message/field set.

## Constructor & Destructor Documentation

com.latencybusters.lbm.sdm.LBMSDMFieldIterator.LBMSDMFieldIterator | ( | LBMSDMFields | f | ) |

Create an iterator for a set of SDM fields.

Parameters

  f | The field set to be iterated over

## Member Function Documentation

virtual void com.latencybusters.lbm.sdm.LBMSDMFieldIterator.add_element | ( | LBMSDMField | newfield | ) |
| virtual

Add the SDM array element.

Parameters

  newfield | The new field to be set

References com.latencybusters.lbm.sdm.LBMSDMField.add_element().

virtual LBMSDMField com.latencybusters.lbm.sdm.LBMSDMFieldIterator.get | ( |  | ) |
| virtual

Get the SDM field at the current position.

Returns
  The current LBMSDMField object

References com.latencybusters.lbm.sdm.LBMSDMFields.get().

virtual bool com.latencybusters.lbm.sdm.LBMSDMFieldIterator.MoveNext | ( |  | ) |
| virtual

Check to see if there is another item in the collection.

Returns
  true if another item exists (false if not)

References com.latencybusters.lbm.sdm.LBMSDMFields.length().

Referenced by com.latencybusters.lbm.sdm.LBMSDMessage.data(), and com.latencybusters.lbm.sdm.LBMSDMFields.locate().

virtual void com.latencybusters.lbm.sdm.LBMSDMFieldIterator.set | ( | LBMSDMField | newfield | ) |
| virtual

Set the SDM array element.

Parameters

  newfield | The new field to be set

References com.latencybusters.lbm.sdm.LBMSDMFields.set().

virtual void com.latencybusters.lbm.sdm.LBMSDMFieldIterator.set | ( | LBMSDMField | newfield,
|  | int | element
| ) |  |
| virtual

Set the SDM array element.

Parameters

  newfield | The new field to be set
  element | the array index to set

References com.latencybusters.lbm.sdm.LBMSDMFields.set().

## Property Documentation

virtual System.Object com.latencybusters.lbm.sdm.LBMSDMFieldIterator.Current
| get

The SDM Field at the current position.

Values: The current LBMSDMField object before moving to the next

Returns
  The current LBMSDMField object before moving to the next

Referenced by com.latencybusters.lbm.sdm.LBMSDMessage.data(), and com.latencybusters.lbm.sdm.LBMSDMFields.locate().

The documentation for this class was generated from the following file:

- LBMSDMFieldIterator.cs